View Issue Details

IDProjectCategoryView StatusLast Update
0003766ScribusUser Interfacepublic2019-11-07 17:46
Reporterpingu Assigned To 
PrioritynormalSeverityfeatureReproducibilityN/A
Status feedbackResolutionopen 
PlatformallOSallOS Versionall
Product Version1.3.3.1 
Target VersionFixed in Version 
Summary0003766: UI improvement proposals to reduce the number of clicks
DescriptionI know the UI is changing heavily, I'll post a few suggestions based on 1.2/1.3 anyway.
I suggest group together what belongs together:

1) The tabs "colour" and "line" should be combined to one. For space, make colour-selection only a two-line selection-list (None and Black displayed as they are the most common, other colours in drop-down list).

2) &nbsp "XYZ" and "shape" should be combined to one. At least for me, if needed for space remove the Level and Locking-controls.

Two other small things that would drastically reduce the amount of mouse-clickings needed:
3) Working with one frame, today clicking on another only unmarks the first frame. Must click twice to select new frame. Once shold be enough.

4) Text-mode and frame-mode should be kept - buttons functioning like an on/off switch.
Tagsindigodock
Patch

Relationships

related to 0003448 assignedjghali Improvements to properties palette 
related to 0003265 acknowledged shortcuts for tabs in properties box 
related to 0002407 acknowledged Metabug: Misleading and wrong cursors 
related to 0015915 assignedale Indigo UI: refactor the Color and Line panels 
related to 0015927 new Indigo UI: Metabug 
child of 0003821 acknowledged Metabug: Usability 

Activities

christoph_s

2006-05-08 21:19

administrator   ~0011114

Last edited: 2006-05-08 22:06

>>>1) The tabs "colour" and "line" should be combined to one.

Why? All objects can have colours and lines (outlines). "Lines" is used for properties of diffent kinds of lines (including, but not restricted to outlines).

>>>For space, make colour-selection only a two-line selection-list (None and Black displayed as they are the most common, other colours in drop-down list).

See 612. This will solve the issue. I agree, however, that "None", "Black" plus "White" and "Registration" should always stay on top.

>>>2) &nbsp "XYZ" and "shape" should be combined to one. At least for me, if needed for space remove the Level and Locking-controls.

I don't see any need to change things that way. Let's wait until tsoots has rewritten the properties palette, and then make suggestions.

>>>Two other small things that would drastically reduce the amount of mouse-clickings needed:
3) Working with one frame, today clicking on another only unmarks the first frame. Must click twice to select new frame. Once shold be enough.

Not here. Are you sure? If so, that might be a bug. Or do you mean changing the focus while in the edit mode? In this case I agree.

>>>4) Text-mode and frame-mode should be kept - buttons functioning like an on/off switch.

Can you explain this further? I'm afraid I don't understand what you mean.

mkoren

2006-05-08 22:46

reporter   ~0011117

1) I agree the color tab doesn't make sense by itself. Actually it's not applied to anything but the frame/shape as far as I can tell, and is overridden by a line style's color. The text tab has its own color settings in compact comboboxes; how about doing the same for lines and anywhere else colors are applied?

While we're at it the line tab could be made more compact by putting the line style selections in a combobox like for text. The preview could still be shown with the style in the drop down list, like for the "type of line" box. Of course, Tsoots has probably already changed all this anyway. :)

pingu

2006-05-12 08:53

reporter   ~0011249

Why I want to combine tabs is simply because I feel there are too many.
Reducing the amount of tabs will make it easier and faster to work with Scribus.
But maybe you're right, "Let's wait until tsoots has rewritten the properties palette, and then make suggestions."

> 3) Working with one frame, today clicking on another only unmarks the first
> frame. Must click twice to select new frame. Once shold be enough.
>
> Not here. Are you sure? If so, that might be a bug. Or do you mean changing
> the focus while in the edit mode? In this case I agree.

Ahh, yes now I notice! That's correct, it'only happens in edit mode.

> 4) Text-mode and frame-mode should be kept - buttons functioning like an on/off switch.
Let me illustrate what I mean:
You mark a frame, select "edit text". Then you mark next text-frame: now I mean I still should be in text-editing mode in the new frame as I once selected that mode. It shall stay that way until I specifically turn edit-mode off by pressing button again.

PLucAuclair

2006-05-12 13:59

reporter   ~0011253

You mean you want edit text and frame selection states to be kept? Like you enable it and you do your stuff in text editing then click again?

If that's it then a big NO-NO. A switch for this is suicidal!

To me what could be done would be that when you double-click in a frame, you still have the tool if you click in other text, and it stops editing when you click in nothing. This is probably what you meant, but to me a _switch_ for this is **NOT** a good idea.

christoph_s

2006-05-12 14:45

administrator   ~0011254

I agree with PLucAuclair. There are plans to enable switching to the editing mode with a single click in the frame as in Quark. But leaving other frames in editing mode at the same time doesn't make any sense at all.

louisdesjardins

2006-05-12 15:48

developer   ~0011255

So we have 4 bugs on that particular subject.

0000168
0001114
0001293

Plus the current one.

The last 2 have been set as duplicates of the first one and are currently closed. Nonetheless, the issue is still there.

Quark behave as follow :
1. Selecting the content tool is a permanent selection. You have to click on another tool to pick it up. Unless doing so, you keep the Content tool.
2. When on a page where there are unselected text boxes you must select the Content tool and then click on the frame. This selects the frame and put the cursor at the last position where it was. You have to click again to any specific area to the text to get there.
My opinion on this behaviour is it is very easy to work that way. Of course, I am a long time Quark user.

The bug 0000168 doesn't ask for this. It asks for a one-click selection and placement of the cursor. Is this feasible? At what cost in terms of usability? Please see below for how ID works.

The bug 0001114 ask for a "À la Quark" behaviour (my own report). Was closed as a duplicate but I still see this as a very important issue in usability.

The bug 0001293 I agree is a duplicate of 0001114.

Anyway, I think we need this fixed.

The way ID works is clumsy in my view. The text tool allows this one-click selection in any text frame without the need to select it. You basically enter the text mode directly. BUT you have to go to the tool palette and select the Select tool to be able to edit the text frame (resize). Now, this is too many round trips to the tool palette, imo, and doesn't solve the too many mouse clicks issue at all.

packetbell

2006-05-21 20:22

reporter   ~0011401

Last edited: 2006-05-21 21:15

Frame Properties
----------------
Basically, XYZ, Shape and Line are all frame properties. Line and shape can be combined in one new tab [Frame properties], where color is an attribute, just like it is in the text tab. The 'Distance of Text' functionality in 'Shape' should go to the Text tab.


XYZ
---
From the XYZ tab, I'd move the flip contents function from XYZ to within the Text and Image tabs, because they deal directly with the frame contents. The Rotation function could be enhanced by Inkscape-style rotation handles that appear after clicking a frame twice.


Colors
------
There's no need for a Colors tab. Instead, new colors should be defined from the main menu [Extras -> Manage Colors] or from a 'Manage Colors' button on the 'Pick a Color...' palette. In the tabs that remain, colors can be applied as an attribute through a drop-down menu, organized as follows:

1. None
2. Colors used in document
3. Pick a Color...
4. ------ [Divider] ------
5. Defined colors


Image
-----
This tab could do with some extra functionality: flip, rotate, distance from frame, color balance, brightness/contrast, hue/saturation, apply Gimp filter ;)


Tabs
----
By eliminating the color tab, and consolidating Line + Shape, only 4 tabs are left. More space can be saved by using icons instead of tab names, and using horizontal tabs instead of vertical tabs:

XYZ | Frame | Text | Image


Shortcuts
---------
Single click: select frame
Double click: select frame contents (and give focus to Text or Image tab in Properties)
Click twice: rotate handles appear

packetbell

2006-05-21 21:11

reporter   ~0011405

Last edited: 2006-05-21 21:15

Hmmm. The minimalist in me wants to eliminate the Text and Image tabs, leaving only 3 tabs:

XYZ | Frame | Contents

If a text frame has focus, 'Contents' will display all the options currently available in the 'Text' tab. If an image frame has focus, 'Contents' will display all the options currently available in the 'Image' tab.

Single click: select frame, focus 'XYZ' tab
Double click: select frame contents, focus 'Contents' tab
Ctrl+click: select frame, focus 'Frame' tab

christoph_s

2006-05-21 21:20

administrator   ~0011406

Ermm, this is a dispute about nothing. The properties palette is being completely reworked anyway, as far as I understood. So let's wait until the first draft is out. From what i have read from tsoots on the issue, many points discussed here will become meaningless.

louisdesjardins

2010-06-25 02:01

developer   ~0024212

Raising this. It’s a good discussion about real life issues.

The way it worked and still works is not efficient and the solutions that are proposed here stand pretty well.

Issue History

Date Modified Username Field Change
2006-05-08 08:11 pingu New Issue
2006-05-08 08:54 mhanski Summary Working with Scribus requires too many mouse-clickings => UI improvement proposals to reduce the number of clicks
2006-05-08 08:54 mhanski Description Updated
2006-05-08 08:57 mhanski Status new => feedback
2006-05-08 09:00 mhanski Relationship added related to 0003448
2006-05-08 21:19 christoph_s Note Added: 0011114
2006-05-08 22:05 christoph_s Note Edited: 0011114
2006-05-08 22:06 christoph_s Note Edited: 0011114
2006-05-08 22:46 mkoren Note Added: 0011117
2006-05-12 08:53 pingu Note Added: 0011249
2006-05-12 13:59 PLucAuclair Note Added: 0011253
2006-05-12 14:45 christoph_s Note Added: 0011254
2006-05-12 15:48 louisdesjardins Note Added: 0011255
2006-05-15 18:03 christoph_s Relationship added child of 0003821
2006-05-21 20:22 packetbell Note Added: 0011401
2006-05-21 20:48 packetbell Note Edited: 0011401
2006-05-21 20:53 packetbell Note Edited: 0011401
2006-05-21 21:11 packetbell Note Added: 0011405
2006-05-21 21:15 packetbell Note Edited: 0011401
2006-05-21 21:15 packetbell Note Edited: 0011405
2006-05-21 21:20 christoph_s Note Added: 0011406
2006-05-22 16:24 mhanski Relationship added related to 0003265
2007-05-23 19:40 christoph_s Relationship added related to 0002407
2010-06-25 02:01 louisdesjardins Note Added: 0024212
2016-05-02 21:55 Kunda Tag Attached: indigodock
2019-11-07 13:35 ale Relationship added related to 0015915
2019-11-07 17:46 ale Relationship added related to 0015927